Description

Supportanfrage

The Display Toolbox Example Project has set the plugin path to the $(ADTF_DIR)/addons/displaytoolbox/... cf. attached pic.

 

The provided zip File on the other hand encourages an installation path like

$(ADTF_DIR)\addons\displaytoolbox-3.4.0-adtf3.6.1-WIN10_x64_vc141.

Could you give me information about the recommended installation information for the display toolbox?

I basically see two options

I.                     Unzip the zip file into the addons folder. In Configuration Editor open the display toolbox examples project and correct

the path to the plugins by cleanup and lookup for the release and debug plugins.

II.                   Unzip the zip file into the addons folder and rename the directory to displaytoolbox.

How is the official installation recommendation?

Lösung

No matter how the toolbox is named, there can always be a clash by naming (thing about own components).

I would recommend the first option, to use the clean up way.

Anyway, we are working on a toolbox description file, which will define toolbox macros.

So the only thing you have to do then will be to tell adtf where your toolbox has been extracted.

And the path like $(ADTF_DISPLAY_TB_DIR)/bin/someplugin.adtfplugin will work on each machine.

History

#1 - 2019-11-05 11:19 - hidden

- Project changed from Public Support to 7

- Status changed from New to In Progress

- Customer set to ELEKTROBIT
- Affected Products ADTF 3.4.0 added

- Platform Windows 10 64bit added

#2 - 2019-11-05 11:56 - hidden

- Description updated

- Status changed from In Progress to Customer Feedback Required

- Topic set to ADTF::Common

Hello Anja,

as there is no official way you have to do that, in this case I recommend to rename to "displaytoolbox"

This way the examples and your own references do not have to be adapted for each new display toolbox version.

ADTF Display Toolbox, Installation

To install the Display Toolbox just unpack the provided archive either in a directory of your choice or preferably in the ADTF addons directory.

 Best regards

#3 - 2019-11-11 18:12 - hidden

Additional notes:

No matter how the toolbox is named, there can always be a clash by naming (thing about own components).

I would recommend the first option, to use the clean up way.

Anyway, we are working on a toolbox description file, which will define toolbox macros.

So the only thing you have to do then will be to tell adtf where your toolbox has been extracted.

And the path like $(ADTF_DISPLAY_TB_DIR)/bin/someplugin.adtfplugin will work on each machine.

#5 - 2019-11-20 08:51 - hidden

Hello Anja,

we did not receive feedback yet,

can we close this ticket?

Please give us feedback until 22.11.2019

otherwise this ticket will be closed

Best regards

#6 - 2019-11-25 08:35 - hidden

- Project changed from 7 to Public Support

- Subject changed from EBPRODUCTSUPPORT-5237 [EB Internal] Display Toolbox installation information ( 3.4) to EBPRODUCTSUPPORT-5237

Best practise to extract display toolbox

- Description updated

- Private changed from Yes to No

- Resolution set to No Customer Feedback

- Department set to SUPPORT

- Affected Products ADTF Display Toolbox 3.4.0 added

- Affected Products deleted (ADTF 3.4.0)

#7 - 2019-11-25 08:36 - hidden

- Status changed from Customer Feedback Required to To Be Closed

#8 - 2020-07-07 12:49 - hidden

- Status changed from To Be Closed to Closed

Files

image001.png 26.5 KB 2019-11-04 hidden

Powered by TCPDF (www.tcpdf.org)

2024-04-25 2/2

https://support.digitalwerk.net/adtf_addons/adtf-display-toolbox/v3/displaytoolbox_html/index.html
http://www.tcpdf.org

